Subject: bug#22083: 25.0.50; hg: adding tag enhances the rev, modeline does not reflect

From: Eli Zaretskii <[email-masked]>
Date: Fri, 04 Dec 2015 17:19:28 +0200

> Cc: [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Fri, 4 Dec 2015 17:15:56 +0200
> 
> On 12/04/2015 04:51 PM, Eli Zaretskii wrote:
> 
> > How is this different with hg or bzr or any other VCS?
> 
> I think some of them don't have branches, at least.

Which ones?  I think all of them do.

> > If you are saying that they, too, should show the branch, I'm okay
> > with that.
> 
> Maybe they should, yes.

OK, so the next question is: should the modeline also show something
that reflects the current head?